#ifndef ATL_ctGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,240,320,400,480,720,800,880,960,1120,1520
 * N : 25,160,240,320,400,480,720,800,880,960,1120,1520
 * NB : 6,6,20,20,28,132,44,104,52,68,64,48
 */
#define ATL_ctGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 200) (nb_) = 6; \
   else if ((n_) < 360) (nb_) = 20; \
   else if ((n_) < 440) (nb_) = 28; \
   else if ((n_) < 600) (nb_) = 132; \
   else if ((n_) < 760) (nb_) = 44; \
   else if ((n_) < 840) (nb_) = 104; \
   else if ((n_) < 920) (nb_) = 52; \
   else if ((n_) < 1040) (nb_) = 68; \
   else if ((n_) < 1320) (nb_) = 64; \
   else (nb_) = 48; \
}


#endif    /* end ifndef ATL_ctGetNB_geqrf */
